lucene-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Shawn Heisey <s...@elyograg.org>
Subject Re: How much Lucene 4.0 capability is NOT in Solr 4.0?
Date Thu, 07 Jun 2012 20:24:36 GMT
On 6/7/2012 12:28 AM, Robert Muir wrote:
> On Thu, Jun 7, 2012 at 5:52 AM, Shawn Heisey<solr@elyograg.org>  wrote:
>> In this specific instance, I would like to be able to use LUCENE-4069, but
>> my question is more general than that -- will it be possible to take the
>> official Solr 4.0 (or 4.1, or 4.2) download and specify codecs and other
>> details on a per-field basis?
>
> Maybe you are confused... you can already do this (for over a year).
> See the tests.
>
> Keep in mind that customizing the index format in this way is expert,
> e.g. we don't provide index backwards compatibility for it across
> releases, etc etc.

I have never used trunk/4x, only Solr 1.4.1 and 3.x, and my only 
exposure to test internals has been adapting existing tests for 
SOLR-2906 and SOLR-3393.  Now that branch_4x has been created, things 
will begin to stabilize.  When my schedule clears up a bit, I will do 
testing with the new branch.  I am looking forward to the new version 
and understanding all the improvements.

I'm not terribly worried about backwards compatibility.  Because of the 
javabin version change in 3.1, I abandoned replication in favor of two 
independent indexes that are both kept up to date.  Now I can upgrade 
and rebuild one index without affecting the other.

Thanks,
Shawn


---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@lucene.apache.org
For additional commands, e-mail: dev-help@lucene.apache.org


Mime
View raw message